<script setup lang="ts">
import { defineProps } from 'vue';

defineProps({
  title: {
    type: String,
    default: null,
  },
  active: {
    type: Boolean,
    default: false,
  },
});
</script>

<template>
  <div :title="title" class="w-button" :class="{ active }" tabindex="0">
    <slot />
  </div>
</template>

<style lang="scss" scoped>
@use '@uiIconMixins' as uiIconMixins;

.w-button {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding: 3px;
  width: 24px;
  height: 24px;
  background: transparent;
  border: none;
  border-radius: 3px;
  cursor: pointer;
  box-sizing: content-box;
  transition: background 150ms;
  font-family: Helvetica Neue, Helvetica, Arial, sans-serif;

  &:focus-visible {
    outline: var(--j-focus-outline);
  }

  &:focus-visible,
  &:hover,
  &.active {
    background: rgba(9, 30, 66, 0.08);
    @include uiIconMixins.primary-color-on-hover;
    @include uiIconMixins.toggle-use-tag-by-hover-attr;
  }

  :deep(svg) {
    display: flex;
    fill: rgb(66, 66, 66);
  }
}
</style>
